## docbook 4.5

=== debian/changelog ===
docbook (4.5-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:23:08 +0100

docbook (4.5-9) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + docbook: Drop versioned constraint on sgml-data in Depends.
    + docbook: Drop versioned constraint on docbook-xml in Breaks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 21 Feb 2022 00:39:00 -0300

docbook (4.5-8) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Aug 2021 21:51:59 -0300

docbook (4.5-7) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.1.
      - Migrated Vcs-* to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/docbook.docs: renamed to docs.
  * debian/docbook.examples: renamed to examples.
    debian/examples/: renamed to examples.d.
  * debian/patches/: added a numeric prefix for all patches.
  * debian/rules:
      - Removed addon '--parallel' because it is default since DH 10.
      - Using $(DEB_VERSION) instead of dpkg-parsechangelog to determine the
        current package version.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Using https instead of http.
      - Using string @ARCHIVE_EXT@.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jul 2021 16:14:56 -0300

docbook (4.5-6) unstable; urgency=medium

  * QA upload.
  * Orphan the package (Addresses: #802363)
    + Set Maintainer to qa group and discard Uploaders.
  * Mark docbook Multi-Arch: foreign.
    It is Arch:all, has no maintainer scripts, its sgml-data dependency is
    M-A:foreign already and sgml-base should become M-A:foreign. Also remove
    spurious M-A:foreign from source control section.
  * Declare compliance with policy 3.9.7:
    + Remove DM-Upload-Allowed.

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 13 Mar 2016 16:10:47 +0100

docbook (4.5-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675473).
    Thanks to Helmut Grohne for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 09 Jun 2012 11:47:17 +0200

docbook (4.5-5) unstable; urgency=low

  [ Daniel Leidert ]
  * catalog: Moved into debian/patches/debian_root_catalog.patch.
  * debian/compat: Raised to v7.
  * debian/control: Vcs fields transition. Added DM-Upload-Allowed.
    (Vcs-Browser, Vcs-Svn): Fixed location.
    (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Raised debhelper to v7.
    (Uploaders): Removed Adam Di Carlo, who is probably MIA (closes: #554230).
    Many thanks for your work!
    (Conflicts): Turned into Breaks.
  * debian/copyright: Point to GPL-2 license.
  * debian/docbook.docs: Added.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/01_remove_entity_sets_and_dcl_from_catalogs.dpatch renamed
    to debian/patches/remove_entity_sets_and_dcl_from_catalogs.patch.
  * debian/patches/10_fix_101779_mention_artheader_to_articleinfo_change.dpatch
    renamed to
    debian/patches/fix_101779_mention_artheader_to_articleinfo_change.patch
  * debian/patches/11_fix_dbpoolx_mod_header_comment_pubid.dpatch renamed to
    debian/patches/fix_dbpoolx_mod_header_comment_pubid.patch.
  * debian/patches/12_fix_256119_and_turn_on_sgml_mode.dpatch renamed to
    debian/patches/fix_256119_and_turn_on_sgml_mode.patch.
  * debian/patches/debian_root_catalog.patch: Added.
    - Create the root catalog via patch.
  * debian/patches/series: Adjusted.

  [ Mathieu Malaterre ]
  * Add myself as uploader
  * Bump Std-Vers to 3.9.3, no changes needed
  * Add Multi-Arch: foreign. Closes: #665989
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch from dpatch to quilt

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 05 May 2012 15:41:23 +0200

docbook (4.5-4) unstable; urgency=low

  * debian/control: Homepage field transition.
    (Suggests): Added docbook-defguide.
  * debian/docbook.postinst: Removed. Contains only pre-etch legacy stuff.
  * debian/README.Debian: Removed or replaced references to non-existing
    packages.
  * debian/watch: Added watch file.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 26 Sep 2007 21:21:26 +0200

docbook (4.5-3) unstable; urgency=medium

  * debian/control (Maintainer, Uploaders): Set the Debian XML/SGML team as
    maintainer.
  * debian/docbook.examples: Fixed examples location: will re-add them back
    to the package.
  * debian/rules: Removed bashisms (closes: #422114). Thanks to Sebastian
    Dröge for the report.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 03 May 2007 19:46:21 +0200

docbook (4.5-2) unstable; urgency=low

  * Upload to unstable.

  [ Daniel Leidert ]
  * debian/rules (get-orig-source): Make the target compatible with the "Best
    Packaging Practices" reference.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 14 Apr 2007 19:49:00 +0200

docbook (4.5-1) experimental; urgency=low

  * New upstream release DocBook SGML 4.5 added (closes: #413166).

  [ Daniel Leidert ]
  * catalog: Made latest DocBook SGML 4.5 the default (closes: #413304).
  * debian/control: Added XS-Vcs-Browser and XS-Vcs-Svn fields.

