=== debian/control ===
Source: docbook
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.oasis-open.org/docbook/sgml/
Vcs-Browser: https://salsa.debian.org/debian/docbook
Vcs-Git: https://salsa.debian.org/debian/docbook.git

Package: docbook
Architecture: all
Depends: sgml-data, ${misc:Depends}
Suggests: docbook-defguide, docbook-dsssl, docbook-xml, psgml
Multi-Arch: foreign
Description: standard SGML representation system for technical documents
 DocBook is an SGML document type definition (DTD) that is well-suited
 to books, articles, or reference documentation about technical
 matters, systems, or software (although it is by no means limited to
 these applications).  It has emerged as an open and standard DTD in the
 software industry, and is used as the documentation system of choice
 for many free software projects.
 .
 This package contains the SGML DTD for DocBook, which describes
 the formal structure for documents following this format.  If you
 wish to author DocBook documents using XML rather than SGML, use the
 'docbook-xml' package.  You will need other packages in order to edit
 (psgml), validate (opensp) or format (docbook-xsl, docbook-dsssl)
 DocBook documents.
 .
 This package includes the 2.4.1, 3.0, 3.1, 4.0, 4.1, 4.2, 4.3, 4.4 and
 4.5 versions of the DocBook SGML DTD.
