=== debian/watch ===
version=4
https://www.oasis-open.org/docbook/sgml/4\.([\d]+)/docbook-([\d\.]+)@ARCHIVE_EXT@
